
enum default_type {default_end=0, default_string, default_const_string,
	default_int, default_float, default_bool};

typedef struct {
	int type;
	char *name;
	char *default_value;
	void *current_value;
} Full_Defaults_Vector;

extern void Register_Full_Defaults(char *app_name, 
	Full_Defaults_Vector *defaults);
extern void Get_Full_Defaults(char *app_name, Full_Defaults_Vector *defaults);
extern void Reset_Defaults(Full_Defaults_Vector *defaults);
extern void Put_Full_Defaults(char *app_name, Full_Defaults_Vector *defaults);
extern void Get_Default_By_Name(char *app_name, char *default_name, 
	Full_Defaults_Vector *defaults);
extern void Put_Default_By_Name(char *app_name, char *default_name,
	Full_Defaults_Vector *defaults);




